Linux slogan
Visite também: BR-Linux.org · Dicas-L · SoftwareLivre.org · UnderLinux



» Screenshot
» Login
Login:
Senha:
Linux login

Se você ainda não possui uma conta, clique aqui.

Esqueci minha senha


Dica

Instalação do Teclado Virtual (JAVA) no Ubuntu
Linux user
Publicado por Fubekao em 26/03/2007

Login: fubekao, 47483 pontos
[ Hits: 34824 ]

Instalação do Teclado Virtual (JAVA) no Ubuntu

Bem, quebrei a cabeça tentando instalar o Teclado virtual (Java) para acessar conta bancária (Banco do Brasil, BRB, etc). Li 1000 tutoriais, 1500 fóruns, baixei cerca de 1 GB só de pacotes, tentei 2000 mágicas para instalar via console... Muitos artigos do próprio Viva o Linux. Muita coisa complicada, mas nada resolveu. Sou usuário avançado de computador, mas sou novo na plataforma Linux. O que resolveu mesmo foi só baixar os seguintes pacotes (Ubuntu):
  • j2re1.4
  • j2re1.4-mozilla-plugin

Pronto! Nada mais a fazer... é só entrar no site do Banco do Brasil (ou outro banco que usa o Teclado virtual para entrar com senha) e pronto.

Bem, nas distros Debian ou Ubuntu é fácil instalar esses pacotes: pode ser pelo Gerenciador de pacotes Synaptic (menu: sistema / administração / gerenciador de pacotes synaptic) ou pelo terminal através do "apt-get". Ex.:

$ sudo apt-get update
$ sudo apt-get install j2re1.4
$ sudo apt-get install j2re1.4-mozilla-plugin


Pronto. Não precisa ficar fazendo mil coisas só para ter um teclado virtual. Tem gente que gosta de complicar... sai pra lá zica!

Jeferson Ribeiro
Brasília
(Ubuntu 6.10)




Outras dicas deste autor

Leitura recomendada
   Dica Linux recomendada Montando partição FTP localmente
   Dica Linux recomendada PPPoE + wlan no BigLinux
   Dica Linux recomendada Slackware 11 (current) com KDE e Hald
   Dica Linux recomendada Apache 2 com php5 e php4 juntos
   Dica Linux recomendada Instalando o XFCE no Debian 5.0 (Lenny) em modo texto

Comentários
[1] Comentário enviado por Asterion em 26/03/2007 - 19:26h:

Eu já fiz isso. O teclado virtual apareceu mas ao tentar acessar o site a seguinte mensagem é apresentada: conteúdo nulo!

O que fazer?


[2] Comentário enviado por Kknd em 26/03/2007 - 21:25h:

Estranho o seu problema Asterion.

Sobre o artigo.: É muito prático a instalação pelo apt-get!

Porém a versão que você baixou (a 1.4) está muito defasada. Hoje o Java já está na versão 1.6 (6 de acordo com a nova numeração). Está mais leve e tras novas funcionalidades.


[3] Comentário enviado por fubekao em 27/03/2007 - 08:32h:

Eu acho que o problema de nosso amigo Asterion é o site do Banco que ele esta acessando. Quanto a versao, acho viavel. Mas amigo Kknd, como seria a instalação? Seria so mudar o nome do pacaote J2re1.4 para J2re1.6?


[4] Comentário enviado por kknd em 27/03/2007 - 18:30h:

Infelizmente não, para instalar o Java 6 normalmente tem que ser na mão mesmo.

Passos:

-> Baixar no site da sun a JRE
-> Instalar em uma pasta a sua escolha
-> Se for só para usar pelo browser, criar um link simbólico do plugin do java na pasta de plugins do seu navegador
-> Se for para uso geral, deve-se setar as variáveis de ambiente $JAVA_HOME e $PATH (tb dá colocando o java/bin/java em /usr/bin e etc)


[5] Comentário enviado por xnardelli em 13/04/2007 - 14:11h:

boa dica...

volta e meia esse java incomoda...


[6] Comentário enviado por diogochemistry em 08/06/2007 - 19:54h:

Blz! funcionou direitinho

Obrigado pela ajuda, já tinha entrado em um monte de foruns e não achava nada.

Obrigaooooooo!!


[7] Comentário enviado por fubekao em 23/06/2007 - 15:58h:

Esses pacotes j2r... , não fazem parte dos pacotes originais do DEBIAN (Talvez pela politica da DEBIAN de so utilizar pacotes e aplicações que sejem 100 % codigo aberto, ou que não possua direitos autorais... etc..), ou seja, não existe esses pacotes nos repositorios originais do DEBIAN.
Então para essa dica funcionar no DEBIAN, será preciso adicionar no arquivo /etc/apt/sources.list , a seguinte linha:


deb ftp://mirror.switch.ch/mirror/java-linux/debian/ sarge non-free


Isso fará com que o Debian procure esses pacotes em um novo repositório (local onde se pode baixar programas para instalação).
Se tiver dúvida como adicionar essa linha no arquivo /etc/apt/sources.list, é so perguntar... estarei a disposição para responder.


[8] Comentário enviado por tonitito em 08/02/2008 - 21:56h:

Sensacional, fubekao!
Como você, eu me senti deprimido, frustrado mesmo com as inúmeras pesquisas no Google, e um sem-número de tentativas com as diversas opções apresentadas ali.
Devo ter enchido meu Ubuntu com pacotes desnecessários.
No entanto, com a simples instalação de dois pacotes, sem a necessidade de outros comandos, tudo foi resolvido e, agora, poderei desfrutar da minha nova distro, o Ubuntu .
Obrigado,
tonitito


[9] Comentário enviado por exercitobr em 26/02/2008 - 14:42h:

parabéns... funciona perfeitamente, recomendo!


[10] Comentário enviado por fubekao em 27/02/2008 - 10:24h:

Agradeço pelos comentários. Mas é bom lembrar que as novas versões do UBUNTU instala automaticante qualquer complemento necessário para o perfeito funcionamento do sistema (Testei a Versão 7.10). Tipo, codecs, plugins (adobe flash) e tambem o Java. Ah e um detalhe. A versão Java que é instalada é a mais atual, neste caso a 1.6. A cada dia e a casa atualização me surpreendo mais e mais com esta Distro. Muito amigavel... Para novos usuarios e ate os mais experientes mas que desejam a facilidade de um verdadeiro sistema operacional multitarefa, a escolha certa é UBUNTU.


[11] Comentário enviado por mgrlinux em 23/07/2008 - 19:24h:

fiz tudo que vc passou mas na hora de instalar nao deu certo.

Qndo digitei sudo apt-get install j2re1.4 ou 1.5 ou 1.6 apareceu a seguinte msg:

Lendo lista de pacotes... Pronto
Construindo arvore de dependencias
Reading state information... Pronto
O pacote j2re1.4 nao esta disponivel, mas é referenciado por outro pacote.
Isso pode significar que o pacote está faltando, ficou obsoleto ou está disponivem somente a partir de outra fonte.

E: O pacote j2re1.4 nao tem candidato para instalacao


[12] Comentário enviado por mgrlinux em 23/07/2008 - 19:26h:

to usando ubuntu 8.04, já atualizei update e upgrade no apt-get e já tentei via gerenciador de pacotes synaptic


[13] Comentário enviado por fubekao em 29/01/2009 - 21:55h:

Ah, isso foi a dois anos atraz. De la pra ca muita coisa mudou. Entre essas coisas o java. A versao atual é a 1.6 (ja ouvi falar na 1.
7) Agora o pacote java é o "sun-java6-jre". O pacote j2re1.4... caiu em desuso para aplicações web ou seja nao é mais compatível.
Entao agora fica assim:

$ sudo apt-get update
$ sudo apt-get install sun-java6-jre
$ sudo apt-get install sun-java6-plugin

Assim funcionou no Ubuntu 8.10

Somente... Testa ai e qual quer duvida ouproblema, entre em contato.

* Lembrando que no ubuntu / Debian, voce pode acessar o Menu: "Sistema - Admintração - Gerenciador de Pacote Synaptic" , entrar com a senha do root (administrador), pesquisar / procurar "sun-java6-jre", marcar para instalacao e clicar em aplicar. Pronto. Sem trauma...

Falou galera, espero ter ajudado.


[14] Comentário enviado por angeloroman em 19/02/2009 - 18:29h:

Fiz o que o fubekao disse, mas não funciona mesmo assim. O teclado virtual não abre. Alguém pode ajudar? Meu Ubuntu é o 8.10.


[15] Comentário enviado por fubekao em 19/02/2009 - 22:40h:

Me parece que a versao 8.10 tem um bug. Verei e postarei algo aqui.


[16] Comentário enviado por pikasso em 22/10/2010 - 13:59h:

Vale essa dica pro Ubuntu Lucid Lynx também ???? me dificulda de acessar o meu banco, atualizei e vou ver qual é...


[17] Comentário enviado por fubekao em 22/10/2010 - 16:03h:

Cara,,, as vezes ainda é chato instalaro o java no ubuntu. Mas tentai ai e me fala..



Contribuir com comentário


  
Para executar esta ação você precisa estar logado no site, caso contrário, tudo o que for digitado será perdido.
Responsável pelo site: Fábio Berbert de Paula - Conteúdo distribuído sob licença GNU FDL
Site hospedado por:

Viva o Linux

A maior comunidade Linux da América Latina! Artigos, dicas, tutoriais, fórum, scripts e muito mais. Ideal para quem busca auto-ajuda em Linux.